%include	/usr/lib/rpm/macros.perl
Summary:	A high-performance, enterprise-grade system for backing up PCs
Summary(pl):	Wysoko wydajny, profesjonalnej klasy system do kopii zapasowych z PC
Name:		backuppc
Version:	2.0.2
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://dl.sourceforge.net/backuppc/BackupPC-%{version}.tar.gz
# Source0-md5:	d60aacbf46eb83a7e4ffbbe9e4f72c11
Patch0:		%{name}-debian.patch
URL:		http://backuppc.sourceforge.net/
BuildRequires:	fakeroot
BuildRequires:	perl >= 5.6.0
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-devel
Requires:	tar > 1.13
Requires:	samba-clients
Requires:	sperl
Requires:	webserver
Obsoletes:	BackupPC
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BackupPC is disk based and not tape based. This particularity allows
features not found in any other backup solution:
 * Clever pooling scheme minimizes disk storage and disk I/O.
   Identical files across multiple backups of the same or different PC
   are stored only once (using hard links), resulting in substantial
   savings in disk storage and disk writes.
 * Optional compression provides additional reductions in storage.
   CPU impact of compression is low since only new files (those not
   already in the pool) need to be compressed.
 * A powerful http/cgi user interface allows administrators to view
   log files, configuration, current status and allows users to
   initiate and cancel backups and browse and restore files from
   backups very quickly.
 * No client-side software is needed. On WinXX the SMB protocol is
   used. On Linux or unix clients, rsync or tar (over ssh/rsh/NFS) can
   be used.
 * Flexible restore options. Single files can be downloaded from any
   backup directly from the CGI interface. Zip or Tar archives for
   selected files or directories can also be downloaded from the CGI
   interface.
 * BackupPC supports mobile environments where laptops are only
   intermittently connected to the network and have dynamic IP
   addresses (DHCP).
 * Flexible configuration parameters allow multiple backups to be
   performed in parallel.
 * and more to discover in the manual...

%description -l pl
BackupPC jest oparty na dyskach, a nie tamach. Ta osobliwo daje
mozliwoci, ktrych nie maj inne rozwizania problemu kopii
zapasowych:
 - Inteligentny schemat cigania minimalizuje zajmowane miejsce i
   ilo operacji wejcia/wyjcia na dysku. Takie same pliki s
   przechowywane tylko raz (przy uyciu twardych dowiza), co daje
   znaczc oszczdno w miejscu na dysku i czasie zapisu.
 - Opcjonalna kompresja pozwala na dalsze ograniczenie rozmiaru.
   Obcienie procesora jest mae, poniewa tylko nowe pliki musz
   by kompresowane.
 - Potny interfejs uytkownika HTTP/CGI pozwala administratorom
   przeglda pliki logw, konfiguracj i aktualny stan oraz
   uytkownikom rozpoczyna lub przerywa tworzenie kopii oraz
   szybko przeglda i odtwarza pliki z kopii zapasowych.
 - Nie jest wymagane oprogramowanie po stronie klienta. Na WinXX
   uywany jest protok SMB. Na klientach linuksowych lub uniksowych
   mona uywa rsynca lub tara (po ssh/rsh/NFS).
 - Dostpne s elastyczne opcje odzyskiwania. Mona ciga pojedyncze
   pliki z kopii bezporednio z interfejsu CGI. Take archiwa zip lub
   tar z wybranymi plikami lub katalogami mog by cigane z poziomu
   interfejsu CGI.
 - BackupPC obsuguje rodowiska przenone, gdzie laptopy s
   podczane do sieci tylko z przerwami i maj dynamiczne adresy IP
   (z DHCP).
 - Elastyczna konfiguracja parametrw pozwala na wykonywanie wielu
   kopii rwnolegle.
 - Wiele wicej mona odkry w manualu...

%prep
%setup -q -n BackupPC-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,backuppc,httpd/httpd.conf}

echo "y" | \
fakeroot DEBIANDEST=$RPM_BUILD_ROOT %{__perl} configure.pl

pod2man --section=8 --center="BackupPC manual" doc/BackupPC.pod backuppc.8
perl -e "s/.IX Title.*/.SH NAME\nbackuppc \\- BackupPC manual/g" -p -i.tmp backuppc.8
rm -f $RPM_BUILD_ROOT/usr/share/backuppc/doc/*
mv -f $RPM_BUILD_ROOT/var/lib/backuppc/conf/* $RPM_BUILD_ROOT/etc/backuppc
mv -f $RPM_BUILD_ROOT/usr/share/backuppc/cgi-bin/* $RPM_BUILD_ROOT/usr/share/backuppc/cgi-bin/index.cgi
install --mode=644 conf/hosts $RPM_BUILD_ROOT/etc/backuppc
install --mode=644 debian/localhost.pl $RPM_BUILD_ROOT/etc/backuppc
install --mode=644 debian/apache.conf $RPM_BUILD_ROOT/etc/httpd/httpd.conf/93_backuppc.conf
rmdir $RPM_BUILD_ROOT/var/lib/backuppc/conf
install -d $RPM_BUILD_ROOT/var/lib/backuppc/pc/localhost
(cd $RPM_BUILD_ROOT/usr/share/backuppc/cgi-bin; ln -s ../image)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.html
%attr(750,root,root) %dir %{_var}/lib/backuppc
%attr(750,root,root) %dir %{_sysconfdir}/backuppc
%config(noreplace) %verify(not md5 size mtime) %attr(640,root,root) %{_sysconfdir}/backuppc/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
